# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.551   -> 1.551.1.1
#	   drivers/usb/hub.c	1.18    -> 1.19   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/03/19	oliver@oenone.homelinux.org	1.552
# USB hpusbscsi driver
# 
# Port changes from 2.4:
#   We do request_sense ourselves to comply with
#   the scanner command set
# --------------------------------------------
# 02/03/20	greg@kroah.com	1.551.1.1
# USB hub
# 
# changed the interval for checking if the device is connected yet or not.
# Thanks to Itai Nahshon <nahshon@actcom.co.il> for the information.
# --------------------------------------------
#
diff -Nru a/drivers/usb/hub.c b/drivers/usb/hub.c
--- a/drivers/usb/hub.c	Wed Apr  3 16:39:54 2002
+++ b/drivers/usb/hub.c	Wed Apr  3 16:39:54 2002
@@ -655,11 +655,11 @@
  * Not covered by the spec - but easy to deal with.
  *
  * This implementation uses 400ms minimum debounce timeout and checks
- * every 10ms for transient disconnects to restart the delay.
+ * every 100ms for transient disconnects to restart the delay.
  */
 
 #define HUB_DEBOUNCE_TIMEOUT	400
-#define HUB_DEBOUNCE_STEP	10
+#define HUB_DEBOUNCE_STEP	100
 
 /* return: -1 on error, 0 on success, 1 on disconnect.  */
 static int usb_hub_port_debounce(struct usb_device *hub, int port)
